> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meru.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtener detalles de la tarjeta

> Este endpoint obtiene información detallada de una tarjeta específica

### Parámetros

<ParamField path="cardId" type="string" required>
  El identificador único de la tarjeta
</ParamField>

### Respuesta

<ResponseField name="success" type="boolean">
  Indica si la operación fue exitosa
</ResponseField>

<ResponseField name="cardId" type="string">
  El identificador único de la tarjeta
</ResponseField>

<ResponseField name="userId" type="string">
  El ID de usuario del titular de la tarjeta
</ResponseField>

<ResponseField name="status" type="string">
  Estado de la tarjeta: `notActivated`, `active`, `locked` o `canceled`
</ResponseField>

<ResponseField name="type" type="string">
  Tipo de tarjeta: `physical` o `virtual`
</ResponseField>

<ResponseField name="last4" type="string">
  Últimos 4 dígitos del número de tarjeta
</ResponseField>

<ResponseField name="expirationMonth" type="string">
  Mes de vencimiento de la tarjeta (MM)
</ResponseField>

<ResponseField name="expirationYear" type="string">
  Año de vencimiento de la tarjeta (YYYY)
</ResponseField>

<ResponseField name="brand" type="string">
  Marca de la tarjeta (por ejemplo, "Visa", "Mastercard")
</ResponseField>

<ResponseField name="limit" type="object">
  Límites de gasto configurados para la tarjeta

  <Expandable title="Objeto limit">
    <ResponseField name="amount" type="number">
      Monto del límite
    </ResponseField>

    <ResponseField name="frequency" type="string">
      Frecuencia: `per24HourPeriod`, `per7DayPeriod`, `per30DayPeriod`, `perYearPeriod`, `allTime` o `perAuthorization`
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="createdAt" type="string">
  Fecha y hora (ISO 8601) de cuándo se creó la tarjeta
</ResponseField>

<ResponseField name="activatedAt" type="string">
  Fecha y hora (ISO 8601) de cuándo se activó la tarjeta
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --location --request GET 'https://stablecoin-api.sandbox.getmeru.com/api/v1/cards-program/cards/7a8b9c0d-1e2f-3a4b-5c6d-7e8f9a0b1c2d' \
  --header 'Content-Type: application/json' \
  --header 'api-key: <api-key>'
  ```

  ```js Javascript theme={null}
  const response = await fetch('https://stablecoin-api.sandbox.getmeru.com/api/v1/cards-program/cards/7a8b9c0d-1e2f-3a4b-5c6d-7e8f9a0b1c2d', {
    method: 'GET',
    headers: {
      'Content-Type': 'application/json',
      'api-key': '<api-key>'
    }
  });

  const data = await response.json();
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "success": true,
    "cardId": "7a8b9c0d-1e2f-3a4b-5c6d-7e8f9a0b1c2d",
    "userId": "3ddd0e5b-6276-4b48-b756-c1fcc9a2efd1",
    "status": "active",
    "type": "virtual",
    "last4": "4242",
    "expirationMonth": "12",
    "expirationYear": "2027",
    "brand": "Visa",
    "limit": {
      "amount": 5000,
      "frequency": "per30DayPeriod"
    },
    "createdAt": "2024-01-15T10:00:00Z",
    "activatedAt": "2024-01-15T10:05:00Z"
  }
  ```
</ResponseExample>

### Respuestas de error

<ResponseExample>
  ```json 401 theme={null}
  {
    "success": false,
    "error": "Unauthorized. Please check your authentication credentials."
  }
  ```

  ```json 404 theme={null}
  {
    "success": false,
    "error": "Card not found."
  }
  ```
</ResponseExample>
